Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
RData Struct Reference

`#include <ruby.h>`

## Data Fields
struct RBasic | basic
void(* | dmark )(void *)
void(* | dfree )(void *)
void * | data

## Detailed Description

Definition at line 957 of file ruby.h.

## Field Documentation

struct RBasic RData::basic

Definition at line 958 of file ruby.h.

void* RData::data

Definition at line 961 of file ruby.h.

Referenced by make_io_deferred().

void(* RData::dfree)(void *)

Definition at line 960 of file ruby.h.

Referenced by make_io_deferred().

void(* RData::dmark)(void *)

Definition at line 959 of file ruby.h.

The documentation for this struct was generated from the following file:

- include/ruby/ruby.h